<?php
require_once "header.php";
?>

<div class="mt-4 mb-4">
    <h1 class="display-4">Liste des administrateurs</h1>
</div>

<hr />

    <table class="table table-striped table-bordered table-hover">
        <thead>
        <tr>
            <th scope="col">
                Nom
            </th>
            <th scope="col">
                Prénom
            </th>
            <th scope="col">
                Adresse e-mail
            </th>
        </tr>
        </thead>
        <tbody>
        <?php
        /** @var User $admin */
        foreach ($admins as $admin) {
            ?>
            <tr>
                <td>
                    <a href="/informations/<?= $admin->getId() ?>/<?= $admin->getFirstName() . " " . $admin->getSurname() ?>">
                        <?= $admin->getSurname() ?>
                    </a>
                </td>
                <td>
                    <a href="/informations/<?= $admin->getId() ?>/<?= $admin->getFirstName() . " " . $admin->getSurname() ?>">
                        <?= $admin->getFirstName() ?>
                    </a>
                </td>
                <td>
                    <a href="mailto:<?= $admin->getEmail() ?>">
                        <?= $admin->getEmail() ?>
                    </a>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
        <tfoot>
        <tr>
            <th>
                Nom
            </th>
            <th>
                Prénom
            </th>
            <th>
                Date d'inscription
            </th>
            <?php if ($problem > 0) { ?>
                <th>
                    Adresse e-mail
                </th>
            <?php } ?>
        </tr>
        </tfoot>
    </table>

<?php
require_once "footer.php";